# Generated by Django 3.1.5 on 2022-09-17 16:59

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    replaces = [('stick_protocol', '0001_initial'), ('stick_protocol', '0002_auto_20210604_1545'), ('stick_protocol', '0003_party_timestamp'), ('stick_protocol', '0004_auto_20210625_1528'), ('stick_protocol', '0005_party_timestamp'), ('stick_protocol', '0006_auto_20210625_1532'), ('stick_protocol', '0007_auto_20210625_1554'), ('stick_protocol', '0008_auto_20210630_1314'), ('stick_protocol', '0009_auto_20210703_1413'), ('stick_protocol', '0010_auto_20210711_1851'), ('stick_protocol', '0011_auto_20210717_1937'), ('stick_protocol', '0012_auto_20220917_1802'), ('stick_protocol', '0013_auto_20220917_1815')]

    initial = True

    dependencies = [
        ('groups', '0002_auto_20210604_1545'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='SignedPreKey',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('keyId', models.IntegerField()),
                ('public', models.CharField(max_length=44)),
                ('signature', models.CharField(max_length=88)),
                ('cipher', models.CharField(max_length=88)),
                ('salt', models.CharField(max_length=44)),
                ('active', models.BooleanField(default=False)),
                ('timestamp', models.CharField(max_length=100)),
                ('dt_timestamp', models.DateTimeField(auto_now_add=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='signedPreKeys', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='PreKey',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('keyId', models.IntegerField()),
                ('public', models.CharField(max_length=44)),
                ('used', models.BooleanField(default=False)),
                ('cipher', models.CharField(max_length=88)),
                ('salt', models.CharField(max_length=44)),
                ('dt_timestamp', models.DateTimeField(auto_now_add=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='preKeys', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='PendingKey',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('stickId', models.CharField(max_length=100)),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pendingKeys', to=settings.AUTH_USER_MODEL)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sentPendingKeys', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Party',
            fields=[
                ('id', models.CharField(max_length=1000, primary_key=True, serialize=False, unique=True)),
                ('individual', models.BooleanField(default=False)),
                ('connections', models.ManyToManyField(blank=True, related_name='party_connections', to=settings.AUTH_USER_MODEL)),
                ('groups', models.ManyToManyField(blank=True, to='groups.Group')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='parties', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='IdentityKey',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('keyId', models.IntegerField()),
                ('public', models.CharField(max_length=44)),
                ('cipher', models.CharField(max_length=88)),
                ('salt', models.CharField(max_length=44)),
                ('active', models.BooleanField(default=False)),
                ('timestamp', models.CharField(max_length=100)),
                ('dt_timestamp', models.DateTimeField(auto_now_add=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='identityKeys', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='EncryptingSenderKey',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('keyId', models.IntegerField()),
                ('partyId', models.CharField(max_length=100)),
                ('chainId', models.CharField(max_length=10)),
                ('step', models.IntegerField(default=0)),
                ('key', models.CharField(max_length=500)),
                ('identityKey', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='esk_ik', to='stick_protocol.identitykey')),
                ('preKey', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='esk_pk', to='stick_protocol.prekey')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='encryptingSenderKeys', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='DecryptingSenderKey',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('key', models.CharField(max_length=500)),
                ('stickId', models.CharField(max_length=100)),
                ('partyId', models.CharField(blank=True, max_length=100, null=True)),
                ('ofOneTimeId', models.CharField(blank=True, max_length=100, null=True)),
                ('forOneTimeId', models.CharField(blank=True, max_length=100, null=True)),
                ('forUser', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='receivedSenderKeys', to=settings.AUTH_USER_MODEL)),
                ('identityKey', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='dsk_ik', to='stick_protocol.identitykey')),
                ('ofUser', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='decryptingSenderKeys', to=settings.AUTH_USER_MODEL)),
                ('preKey', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='dsk_pk', to='stick_protocol.prekey')),
            ],
        ),
        migrations.AddConstraint(
            model_name='signedprekey',
            constraint=models.UniqueConstraint(fields=('keyId', 'user'), name='unique_signed_prekey'),
        ),
        migrations.AddConstraint(
            model_name='prekey',
            constraint=models.UniqueConstraint(fields=('keyId', 'user'), name='unique_prekey'),
        ),
        migrations.AddConstraint(
            model_name='identitykey',
            constraint=models.UniqueConstraint(fields=('keyId', 'user'), name='unique_identity_key'),
        ),
        migrations.AddConstraint(
            model_name='encryptingsenderkey',
            constraint=models.UniqueConstraint(fields=('partyId', 'chainId', 'user'), name='unique_esk'),
        ),
        migrations.AddField(
            model_name='party',
            name='timestamp',
            field=models.DateTimeField(auto_now_add=True, null=True),
        ),
        migrations.AddField(
            model_name='party',
            name='partyHash',
            field=models.CharField(blank=True, max_length=128, null=True),
        ),
        migrations.RenameModel(
            old_name='DecryptingSenderKey',
            new_name='DecryptionSenderKey',
        ),
        migrations.RenameModel(
            old_name='EncryptingSenderKey',
            new_name='EncryptionSenderKey',
        ),
        migrations.AlterModelOptions(
            name='party',
            options={},
        ),
        migrations.RenameField(
            model_name='party',
            old_name='timestamp',
            new_name='dt_timestamp',
        ),
        migrations.AddField(
            model_name='decryptionsenderkey',
            name='dt_timestamp',
            field=models.DateTimeField(auto_now_add=True, null=True),
        ),
        migrations.AddField(
            model_name='encryptionsenderkey',
            name='dt_timestamp',
            field=models.DateTimeField(auto_now_add=True, null=True),
        ),
        migrations.AddField(
            model_name='pendingkey',
            name='dt_timestamp',
            field=models.DateTimeField(auto_now_add=True, null=True),
        ),
        migrations.AlterField(
            model_name='encryptionsenderkey',
            name='chainId',
            field=models.IntegerField(blank=True, default=0, null=True),
        ),
        migrations.AlterField(
            model_name='encryptionsenderkey',
            name='chainId',
            field=models.IntegerField(default=0),
        ),
        migrations.RemoveConstraint(
            model_name='encryptionsenderkey',
            name='unique_esk',
        ),
        migrations.RemoveConstraint(
            model_name='identitykey',
            name='unique_identity_key',
        ),
        migrations.RemoveConstraint(
            model_name='prekey',
            name='unique_prekey',
        ),
        migrations.RemoveConstraint(
            model_name='signedprekey',
            name='unique_signed_prekey',
        ),
        migrations.RenameField(
            model_name='decryptionsenderkey',
            old_name='forOneTimeId',
            new_name='for_one_time_id',
        ),
        migrations.RenameField(
            model_name='decryptionsenderkey',
            old_name='forUser',
            new_name='for_user',
        ),
        migrations.RenameField(
            model_name='decryptionsenderkey',
            old_name='identityKey',
            new_name='identity_key',
        ),
        migrations.RenameField(
            model_name='decryptionsenderkey',
            old_name='ofOneTimeId',
            new_name='of_one_time_id',
        ),
        migrations.RenameField(
            model_name='decryptionsenderkey',
            old_name='ofUser',
            new_name='of_user',
        ),
        migrations.RenameField(
            model_name='decryptionsenderkey',
            old_name='partyId',
            new_name='party_id',
        ),
        migrations.RenameField(
            model_name='decryptionsenderkey',
            old_name='preKey',
            new_name='pre_key',
        ),
        migrations.RenameField(
            model_name='decryptionsenderkey',
            old_name='stickId',
            new_name='stick_id',
        ),
        migrations.RenameField(
            model_name='encryptionsenderkey',
            old_name='chainId',
            new_name='chain_id',
        ),
        migrations.RenameField(
            model_name='encryptionsenderkey',
            old_name='identityKey',
            new_name='identity_key',
        ),
        migrations.RenameField(
            model_name='encryptionsenderkey',
            old_name='keyId',
            new_name='key_id',
        ),
        migrations.RenameField(
            model_name='encryptionsenderkey',
            old_name='partyId',
            new_name='party_id',
        ),
        migrations.RenameField(
            model_name='encryptionsenderkey',
            old_name='preKey',
            new_name='pre_key',
        ),
        migrations.RenameField(
            model_name='identitykey',
            old_name='keyId',
            new_name='key_id',
        ),
        migrations.RenameField(
            model_name='party',
            old_name='partyHash',
            new_name='party_hash',
        ),
        migrations.RenameField(
            model_name='pendingkey',
            old_name='stickId',
            new_name='stick_id',
        ),
        migrations.RenameField(
            model_name='prekey',
            old_name='keyId',
            new_name='key_id',
        ),
        migrations.RenameField(
            model_name='signedprekey',
            old_name='keyId',
            new_name='key_id',
        ),
        migrations.AddConstraint(
            model_name='encryptionsenderkey',
            constraint=models.UniqueConstraint(fields=('party_id', 'chain_id', 'user'), name='unique_esk'),
        ),
        migrations.AddConstraint(
            model_name='identitykey',
            constraint=models.UniqueConstraint(fields=('key_id', 'user'), name='unique_identity_key'),
        ),
        migrations.AddConstraint(
            model_name='prekey',
            constraint=models.UniqueConstraint(fields=('key_id', 'user'), name='unique_prekey'),
        ),
        migrations.AddConstraint(
            model_name='signedprekey',
            constraint=models.UniqueConstraint(fields=('key_id', 'user'), name='unique_signed_prekey'),
        ),
        migrations.AlterField(
            model_name='decryptionsenderkey',
            name='for_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='received_sender_keys', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='decryptionsenderkey',
            name='of_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='decrypting_sender_keys', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='encryptionsenderkey',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='encrypting_sender_keys', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='identitykey',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='identity_keys', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='pendingkey',
            name='owner',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pending_keys', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='pendingkey',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sent_pending_keys', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='prekey',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pre_keys', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='signedprekey',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='signed_pre_keys', to=settings.AUTH_USER_MODEL),
        ),
    ]
